package com.mortals.xhx.module.device.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.device.model.vo.DeviceModuleVo;
import lombok.Data;
/**
* 证照柜设备实体对象
*
* @author zxfei
* @date 2024-07-27
*/
@Data
public class DeviceModuleEntity extends DeviceModuleVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点id
    */
    private Long siteId;
    /**
    * 设备Id
    */
    private Long deviceId;
    /**
    * 设备名称
    */
    private String deviceName;
    /**
    * 模块名称
    */
    private String moduleName;
    /**
    * 产品名称
    */
    private String productName;
    /**
    * 网络地址
    */
    private String networkAddress;
    /**
    * 纸盒
    */
    private String cartonType;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DeviceModuleEntity) {
            DeviceModuleEntity tmp = (DeviceModuleEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.siteId = null;
            this.deviceId = null;
            this.deviceName = "";
            this.moduleName = "";
            this.productName = "";
            this.networkAddress = "";
            this.cartonType = "";
    }
}